package com.qianhe.service;

import com.qianhe.domain.SjGfjsZdgz;
import com.qianhe.domain.SjGfjsZdgzCb;

import java.util.List;

/**
 * 规范建设-重点工作 原考核评价标准Service接口
 * 
 * @author qianhe
 * @date 2024-07-22
 */
public interface ISjGfjsZdgzService
{
    /**
     * 查询规范建设-重点工作 原考核评价标准
     * 
     * @param id 规范建设-重点工作 原考核评价标准主键
     * @return 规范建设-重点工作 原考核评价标准
     */
    public SjGfjsZdgz selectSjGfjsZdgzById(Long id);

    /**
     * 查询规范建设-重点工作 原考核评价标准列表
     * 
     * @param sjGfjsZdgz 规范建设-重点工作 原考核评价标准
     * @return 规范建设-重点工作 原考核评价标准集合
     */
    public List<SjGfjsZdgz> selectSjGfjsZdgzList(SjGfjsZdgz sjGfjsZdgz);

    /**
     * 新增规范建设-重点工作 原考核评价标准
     * 
     * @param sjGfjsZdgz 规范建设-重点工作 原考核评价标准
     * @return 结果
     */
    public int insertSjGfjsZdgz(SjGfjsZdgz sjGfjsZdgz);

    /**
     * 修改规范建设-重点工作 原考核评价标准
     * 
     * @param sjGfjsZdgz 规范建设-重点工作 原考核评价标准
     * @return 结果
     */
    public int updateSjGfjsZdgz(SjGfjsZdgz sjGfjsZdgz);

    /**
     * 批量删除规范建设-重点工作 原考核评价标准
     * 
     * @param ids 需要删除的规范建设-重点工作 原考核评价标准主键集合
     * @return 结果
     */
    public int deleteSjGfjsZdgzByIds(Long[] ids);

    /**
     * 删除规范建设-重点工作 原考核评价标准信息
     * 
     * @param id 规范建设-重点工作 原考核评价标准主键
     * @return 结果
     */
    public int deleteSjGfjsZdgzById(Long id);

    List<SjGfjsZdgz> selectSjGfjsZdgzCxList(SjGfjsZdgz sjGfjsZdgz);


    List<String> getKhnrList(SjGfjsZdgzCb cb);

    List<String> getKhxdList(SjGfjsZdgzCb cb);


    List<SjGfjsZdgzCb> getPjbzList(SjGfjsZdgzCb cb);

    public int updateSjGfjsZdgz_QZXS(SjGfjsZdgz sjGfjsZdgz);

}
